"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

const importPort = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.host`);
  }

  const exports = [];

  if ((0, _declare_runtime_env.checkRuntimeEnv)(resolveConfig.host)) {
    exports.push(`const host = ${(0, _declare_runtime_env.injectRuntimeEnv)(resolveConfig.host)}`, ``, `export default host`);
  } else {
    exports.push(`const host = ${JSON.stringify(resolveConfig.host)}`, ``, `export default host`);
  }

  return exports.join('\r\n');
};

var _default = importPort;
exports.default = _default;
//# sourceMappingURL=$resolve.host.js.map