"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@resolve-js/core");

var _declare_runtime_env = require("../declare_runtime_env");

const importStaticPath = ({
  resolveConfig,
  isClient
}) => {
  let staticPath = resolveConfig.staticPath;
  const exports = [];

  if (!(0, _declare_runtime_env.checkRuntimeEnv)(staticPath)) {
    if (!(0, _core.validatePath)(staticPath, {
      allowAbsolutePath: true
    })) {
      throw new Error(`Incorrect options.staticPath = "${staticPath}"\nValue must be part of the URL or the absolute URL, which is the application's static subdirectory`);
    }

    staticPath = encodeURI(staticPath);
    exports.push(`const staticPath = ${JSON.stringify(staticPath)}`, ``, `export default staticPath`);
  } else {
    if (!isClient) {
      exports.push(`import { validatePath } from '@resolve-js/core'`);
    }

    exports.push(`let staticPath = ${(0, _declare_runtime_env.injectRuntimeEnv)(staticPath, isClient)}`);

    if (!isClient) {
      exports.push(`if (!validatePath(staticPath, { allowAbsolutePath: true })) {
          throw new Error(
            \`Incorrect options.staticPath = "\${
              staticPath
            }"\\nValue must be part of the URL or the absolute URL, which is the application's static subdirectory\`
          )
        }`, `staticPath = encodeURI(staticPath)`, ``);
    }

    exports.push(`export default staticPath`);
  }

  return exports.join('\r\n');
};

var _default = importStaticPath;
exports.default = _default;
//# sourceMappingURL=$resolve.staticPath.js.map